Subject: Re: [bug#77616] [PATCH rust-team 0/6] Shorten rust bootstrap

From: Ahmad Draidi <[email-masked]>
Date: Fri, 18 Apr 2025 12:40:37 +0400

Greetings,

On 4/7/25 22:52, Morgan Smith wrote:
> mrustc supports bootstraping rust version 1.74.0.  This shortens the bootstrap
> process by removing the need to compile 19 versions of rust.
Thanks for the patch series! This has the potential to shave off a day 
of my build times.
>
> I also decided to use gexps everywhere for fun.
>
> I tested this on my laptop but I suppose we need to run some CI or something
> right?
>
> Morgan Smith (6):
>    gnu: mrustc: Update to 0.11.2.
>    gnu: rust-bootstrap: Update to 1.74.0.
>    gnu: rust-1.75: Inherit from rust-bootstrap.
>    gnu: rust-bootstrapped-package: Use modify-inputs.
>    gnu: Remove unneeded rust bootstrapping versions.

I applied the first 5 patches of this series locally on top of 
cc4b392a8303788762ed9adb9c5635cf227e58a2, but it fails to build. The 
sixth patch fails to apply, also.

I have a few other patches (openssl, libpng, etc) but I don't think 
they're related to the failure.

I'm getting the following:

    builder for
    `/gnu/store/h08fh16kcvs90f3vmw9l6vh83czdhd4i-rust-1.77.1.drv' failed
    with exit code 1
    build of /gnu/store/h08fh16kcvs90f3vmw9l6vh83czdhd4i-rust-1.77.1.drv
    failed
    View build log at
    '/var/log/guix/drvs/h0/8fh16kcvs90f3vmw9l6vh83czdhd4i-rust-1.77.1.drv.gz'.

And the contents of the log file above are the following:

    ice-9/read.scm:126:4: In procedure read-expr*:
    /gnu/store/cirq2ajq0fc3s5h7xykh22ngwib6nbc5-rust-1.77.1-builder:1:3626:
    Unknown # object: "#<"

>    gnu: rust: Use gexps.
>
>   gnu/local.mk                                  |   2 -
>   gnu/packages/patches/mrustc-patches.patch     |  19 -
>   .../rust-1.64-fix-riscv64-bootstrap.patch     | 565 ----------
>   gnu/packages/rust.scm                         | 976 ++++++------------
>   4 files changed, 288 insertions(+), 1274 deletions(-)
>   delete mode 100644 gnu/packages/patches/mrustc-patches.patch
>   delete mode 100644 gnu/packages/patches/rust-1.64-fix-riscv64-bootstrap.patch
>
>
> base-commit: 7be2b8f57f6986654f198b43b4e96833e18b1a77

Thanks,

Ahmad